Subject: [Bug 216041] Stack overflow at boot (do_IRQ: stack overflow: 1984) on a PowerMac G4 DP, KASAN debug build

From: [email-masked]
Date: Sun, 29 May 2022 13:08:03 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=216041

--- Comment #6 from Erhard F. ([email-masked]) ---
(In reply to Christophe Leroy from comment #3)
> I can't see any issue, other than your CONFIG_THREAD_SHIFT is set to 13.
> 
> It should be 14 by default, see
> https://elixir.bootlin.com/linux/v5.18/source/arch/powerpc/Kconfig#L769
> 
> Is there any reason why you set it to 13 ?
I was not aware setting it to a custom value. I thought 13 is the default on
ppc32 which gets overriden to 14 if I select KASAN?

But I'll make sure I'll double check this on future builds. Only advanced
option I did set is CONFIG_LOWMEM_SIZE=0x28000000 (see bug #215389).

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.